PeerEvent
Keywords: uk.ac.ic.doc.automed.p2p.directory.PeerEvent class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.p2p.directory
Class PeerEvent

    java.lang.Object
      java.util.EventObject
          uk.ac.ic.doc.automed.p2p.directory.PeerEvent

All Implemented Interfaces:
  java.io.Serializable

    public class PeerEvent

extends java.util.EventObject

PeerEvent.java The event object that encapsulates all peer change events occur in the directory

Author:
  Duc M Le dmle@doc.ic.ac.uk Created on 04 May 2006 Department of Computing, Imperial College
See Also:
  Serialized Form

Field Summary
`static int` | `ACTION_DELETE`
`static int` | `ACTION_REGISTER`
`static int` | `ACTION_UPDATE`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`PeerEvent(int action, PeerDescription peerDesc, java.lang.Object source)` Creates a new instance of PeerEvent

Method Summary
`int` | `getAction()`
`java.lang.String` | `getDomain()`
`java.lang.String` | `getPeerAddress()`
`java.lang.String` | `getPeerName()`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ACTION_REGISTER

    public static final int ACTION_REGISTER

See Also:
  Constant Field Values

### ACTION_UPDATE

    public static final int ACTION_UPDATE

See Also:
  Constant Field Values

### ACTION_DELETE

    public static final int ACTION_DELETE

See Also:
  Constant Field Values

Constructor Detail

### PeerEvent

    public PeerEvent(int action,
                     PeerDescription peerDesc,
                     java.lang.Object source)

  Creates a new instance of PeerEvent

  Parameters:
    `action` - the specific peer event action which is one of
    `ACTION_REGISTER`
    `ACTION_UPDATE`
    `ACTION_DELETE`
    `peerDesc` - an `PeerDescription` object that represents the peer in question
    `source` - the standard source object from which this event was generated

Method Detail

### getAction

    public int getAction()

### getDomain

    public java.lang.String getDomain()

### getPeerName

    public java.lang.String getPeerName()

### getPeerAddress

    public java.lang.String getPeerAddress()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD